import dynamix_sdk.base as _base


class CloudbrokerComputeStartMigrationInResultStr(
    _base.BaseAPIResultStr,
):
    pass


class CloudbrokerComputeStartMigrationInProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def start_migration_in(
        self,
        *,
        vm_id: int,
        node_id: int | None = None,
    ) -> CloudbrokerComputeStartMigrationInResultStr:
        ...
